FROM python:3.8.16

ARG DEBIAN_FRONTEND=noninteractive

RUN apt-get update && \
    apt-get install -y xfce4 xfce4-terminal desktop-base dbus-x11 xscreensaver sudo curl

RUN echo "exec /etc/X11/Xsession /usr/bin/xfce4-session" > /etc/chrome-remote-desktop-session && \
    sed -i 's/start-pulseaudio-x11/pulseaudio --start/g' /etc/xdg/autostart/pulseaudio.desktop

RUN useradd -m carla -s /bin/bash && \
    echo "%carla ALL=(ALL:ALL) NOPASSWD:ALL" >> /etc/sudoers

RUN cd /tmp && \
    curl -L -o chrome-remote-desktop_current_amd64.deb https://dl.google.com/linux/direct/chrome-remote-desktop_current_amd64.deb && \
    apt-get install -y ./chrome-remote-desktop_current_amd64.deb && \
    rm chrome-remote-desktop_current_amd64.deb

USER carla

ENV PATH="/home/carla/.local/bin:${PATH}"

COPY carla-dev/requirements.txt /tmp/requirements.txt

RUN pip install --upgrade pip && \
    pip install -r /tmp/requirements.txt
